Upgrade of Plesk fails with error: Unexpected 'St11logic_error' caught: basic_string::_S_construct NULL not valid

Created:

2016-11-16 12:56:04 UTC

Modified:

2017-08-08 13:33:05 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Upgrade of Plesk fails with error: Unexpected 'St11logic_error' caught: basic_string::_S_construct NULL not valid

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk 10.4 for Linux

Symptoms

Upgrade to Plesk 10.4 fails with error:

ERROR: Unexpected 'St11logic_error' caught: basic_string::_S_construct NULL not valid

Cause

Not all microupdates are installed.

Resolution

  1. Remove cache files in /var/cache/parallels_installer/

    # rm -rf /var/cache/parallels_installer/*
  2. Reinstall microupdates:

    /usr/local/psa/admin/sbin/autoinstaller --select-product-id plesk --select-release-current --reinstall-patch --install-component base
Have more questions? Submit a request
Please sign in to leave a comment.